RubyGems Navigation menu

aws_iot_device 1.0.0

The gem is using the MQTT protocol to execute the command defined by the AWS IoT platform. A default MQTT client is included in the gem, however an adapter system enables to plug another MQTT client.

Versions:

  1. 1.0.0 - January 29, 2017 (24 KB)
  2. 0.1.5 - September 08, 2016 (22 KB)
  3. 0.1.4 - September 08, 2016 (21.5 KB)
  4. 0.1.3 - September 07, 2016 (21.5 KB)
  5. 0.1.2 - September 07, 2016 (21.5 KB)
Show all versions (7 total)

Runtime Dependencies (4):

  • facets >= 3.1.0, ~> 3.1.0
  • json >= 2.0.2, ~> 2.0.2
  • paho-mqtt >= 1.0.0, ~> 1.0.0
  • timers >= 4.1.1, ~> 4.1.1
  • Development Dependencies (4):

  • bundler >= 1.10, ~> 1.10
  • pry >= 0.10.4, ~> 0.10.4
  • rake >= 1.10, ~> 10.0
  • rspec >= 3.5.0, ~> 3.5.0
  • Owners:

    Authors:

    • Pierre Goudet

    SHA 256 checksum:

    5abf729ebea5fca15ca5f5a6fe854bf410b5f1a401623c73004d12aa305c9342

    Total downloads 6,246

    For this version 1,306

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Apache-2.0

    Required Ruby Version: >= 0

    Links: